diff -uNrd ircd-ratbox-1.5-2/include/channel.h ircd-rb-FDF6.3a/include/channel.h
--- ircd-ratbox-1.5-2/include/channel.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/channel.h	Tue Jun  1 20:41:10 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: channel.h,v 7.140.2.3 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: channel.h,v 1.5 2004/06/02 00:41:10 jailbird Exp $
  */
 
 #ifndef INCLUDED_channel_h
@@ -123,7 +123,7 @@
 
 #define HoldChannel(x)          (!(x))
 /* channel visible */
-#define ShowChannel(v,c)        (PubChannel(c) || IsMember((v),(c)))
+#define ShowChannel(v,c)        (PubChannel(c) || IsMember((v),(c)) || IsSLine(v) || (ConfigChannel.opers_see_hidden && IsOper(v)))
 
 #define IsMember(who, chan) ((who && who->user && \
                 find_channel_membership(chan, who)) ? 1 : 0)
diff -uNrd ircd-ratbox-1.5-2/include/channel_mode.h ircd-rb-FDF6.3a/include/channel_mode.h
--- ircd-ratbox-1.5-2/include/channel_mode.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/channel_mode.h	Thu Jun 17 13:09:59 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: channel_mode.h,v 7.22.2.4 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: channel_mode.h,v 1.4 2004/06/17 17:09:59 jailbird Exp $
  */
 
 
@@ -44,6 +44,7 @@
 extern void init_chcap_usage_counts(void);
 extern void set_chcap_usage_counts(struct Client *serv_p);
 extern void unset_chcap_usage_counts(struct Client *serv_p);
+extern void change_channel_membership(struct membership *, unsigned int, unsigned int);
 
 /*
 ** Channel Related macros follow
@@ -53,13 +54,14 @@
 #define CAN_SEND_NO	0
 #define CAN_SEND_NONOP  1
 #define CAN_SEND_OPV	2
-
+#define CAN_SEND_BANNED	3
 
 /* channel status flags */
 #define CHFL_PEON		0x0000	/* normal member of channel */
 #define CHFL_CHANOP     	0x0001	/* Channel operator */
 #define CHFL_VOICE      	0x0002	/* the power to speak */
 #define CHFL_DEOPPED    	0x0004	/* deopped by us, bounce modes */
+#define CHFL_SAFE		0x0008  /* immune to kick/deop (except by TS) */
 /* channel bantype flags */
 #define CHFL_BAN        	0x0010	/* ban channel flag */
 #define CHFL_EXCEPTION  	0x0020	/* exception to ban channel flag */
@@ -74,6 +76,7 @@
 #define is_voiced(x)   ((x) && (x)->flags & CHFL_VOICE)
 #define is_chanop_voiced(x) ((x) && (x)->flags & (CHFL_CHANOP|CHFL_VOICE))
 #define is_deop(x)    ((x) && (x)->flags & CHFL_DEOPPED)
+#define is_safe(x)   ((x) && (x)->flags & CHFL_SAFE)
 
 /* channel modes ONLY */
 #define MODE_PRIVATE    0x0008
@@ -82,6 +85,7 @@
 #define MODE_TOPICLIMIT 0x0040
 #define MODE_INVITEONLY 0x0080
 #define MODE_NOPRIVMSGS 0x0100
+#define MODE_NOCOLOR	0x0200
 #define MODE_BAN        0x0400
 #define MODE_EXCEPTION  0x0800
 #define MODE_INVEX	0x2000
diff -uNrd ircd-ratbox-1.5-2/include/class.h ircd-rb-FDF6.3a/include/class.h
--- ircd-ratbox-1.5-2/include/class.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/class.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: class.h,v 7.19.2.3 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: class.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDED_class_h
diff -uNrd ircd-ratbox-1.5-2/include/client.h ircd-rb-FDF6.3a/include/client.h
--- ircd-ratbox-1.5-2/include/client.h	Thu Jun 17 14:01:38 2004
+++ ircd-rb-FDF6.3a/include/client.h	Thu Jun 17 18:21:01 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: client.h,v 7.206.2.10 2004/06/17 18:01:38 androsyn Exp $
+ *  $Id: client.h,v 1.4 2004/06/17 22:21:01 jailbird Exp $
  */
 
 #ifndef INCLUDED_client_h
@@ -330,11 +330,7 @@
  * ts stuff
  */
 #define TS_CURRENT      5	/* current TS protocol version */
-#ifdef TS5_ONLY
 #define TS_MIN          5
-#else
-#define TS_MIN          3	/* minimum supported TS protocol version */
-#endif
 #define TS_DOESTS       0x20000000
 #define DoesTS(x)       ((x)->tsinfo == TS_DOESTS)
 
@@ -347,7 +343,6 @@
 #define FLAGS_CLOSING      0x0020	/* set when closing to suppress errors */
 #define FLAGS_CHKACCESS    0x0040	/* ok to check clients access if set */
 #define FLAGS_GOTID        0x0080	/* successful ident lookup achieved */
-#define FLAGS_NEEDID       0x0100	/* I-lines say must use ident return */
 #define FLAGS_NORMALEX     0x0400	/* Client exited normally */
 #define FLAGS_SENDQEX      0x0800	/* Sendq exceeded */
 #define FLAGS_CRYPTIN      0x2000	/* incoming data must be decrypted */
@@ -429,8 +424,6 @@
  		      UMODE_ADMIN | UMODE_UNAUTH | UMODE_CALLERID | UMODE_OPERSPY | \
                       UMODE_HIDDENOPER)
 
-#define FLAGS_ID     (FLAGS_NEEDID | FLAGS_GOTID)
-
 /*
  * flags macros.
  */
@@ -498,9 +491,6 @@
 #define IsHiddenOper(x)		(((x)->umodes & UMODE_HIDDENOPER) || ((x)->flags2 & OPER_HIDDENOPER))
 #define SetIsHiddenOper(x)	((x)->umodes |= UMODE_HIDDENOPER)
 
-#define SetNeedId(x)            ((x)->flags |= FLAGS_NEEDID)
-#define IsNeedId(x)             (((x)->flags & FLAGS_NEEDID) != 0)
-
 #define SetGotId(x)             ((x)->flags |= FLAGS_GOTID)
 #define IsGotId(x)              (((x)->flags & FLAGS_GOTID) != 0)
 
@@ -585,7 +575,7 @@
 extern void del_all_accepts(struct Client *client_p);
 
 extern int set_initial_nick(struct Client *client_p, struct Client *source_p, char *nick);
-extern int change_local_nick(struct Client *client_p, struct Client *source_p, char *nick);
+extern int change_local_nick(struct Client *client_p, struct Client *source_p, char *nick, time_t ts);
 extern void dead_link(struct Client *client_p);
 extern int show_ip(struct Client *source_p, struct Client *target_p);
 
diff -uNrd ircd-ratbox-1.5-2/include/cluster.h ircd-rb-FDF6.3a/include/cluster.h
--- ircd-ratbox-1.5-2/include/cluster.h	Thu May 20 16:35:13 2004
+++ ircd-rb-FDF6.3a/include/cluster.h	Mon May 31 00:02:21 2004
@@ -28,7 +28,7 @@
  * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  * POSSIBILITY OF SUCH DAMAGE.
  *
- * $Id: cluster.h,v 7.7.2.3 2004/05/20 20:35:13 leeh Exp $
+ * $Id: cluster.h,v 1.3 2004/05/31 04:02:21 jailbird Exp $
  */
 
 #ifndef INCLUDED_cluster_h
diff -uNrd ircd-ratbox-1.5-2/include/common.h ircd-rb-FDF6.3a/include/common.h
--- ircd-ratbox-1.5-2/include/common.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/common.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: common.h,v 7.5.4.2 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: common.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDED_common_h
diff -uNrd ircd-ratbox-1.5-2/include/config.h ircd-rb-FDF6.3a/include/config.h
--- ircd-ratbox-1.5-2/include/config.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/config.h	Thu Apr  1 16:20:48 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: config.h,v 7.160.2.2 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: config.h,v 1.3 2004/04/01 21:20:48 jailbird Exp $
  */
 
 #ifndef INCLUDED_config_h
@@ -72,7 +72,7 @@
  * so MAX_CLIENTS + MAX_BUFFER + 10 must not exceed HARD_FDLIMIT.
  * NOTE: MAX_CLIENTS is set with configure now
  */
-#define MAX_BUFFER      60
+#define MAX_BUFFER      10
 
 #ifndef VMS
 /* 
@@ -169,14 +169,7 @@
 /* WANT_GETTEXT - toggle gettext support.
  * NOTE: if configure doesn't detect gettext, this won't do anything.
  */
-#define WANT_GETTEXT
-
-/* Ignore bogus timestamps from other servers. Yes this will desync
- * the network, but it will allow chanops to resync with a valid non TS 0
- *
- * This should be enabled network wide, or not at all.
- */
-#undef  IGNORE_BOGUS_TS
+#undef WANT_GETTEXT
 
 /* HIDE_SERVERS_IPS
  *
@@ -185,34 +178,14 @@
  *
  * If this is defined, nobody can see a servers ip.
  */
-#define  HIDE_SERVERS_IPS
+#undef  HIDE_SERVERS_IPS
 
 /* HIDE_SPOOF_IPS
  *
  * If this is undefined, opers will be allowed to see the real IP of spoofed
  * users in /trace etc.  If this is defined they will be shown a masked IP.
  */
-#define HIDE_SPOOF_IPS
-
-/* TS5_ONLY
- *
- * If this is defined only TS5 servers may link to the network.  See
- * doc/ts5.txt for more information.  If your network has old servers
- * (hyb5, hyb6.0, +CSr) or hybserv you should NOT define this.
- */
-#define TS5_ONLY
-
-/* USE_ASCII_CASEMAP
- *
- * Under rfc1459, the characters {}|~ are the lowercase of []\^ so a
- * nick of [foo] is the same as {foo} and a channel #[] is the same as
- * #{}.  If this is defined they will no longer be treated as lowercase
- * of each other, so [foo] and {foo} could be two seperate people.
- *
- * Note: this must be the same network wide or you will have problems.
- *       Your locale(1) must also be set to "C".
- */
-#undef USE_ASCII_CASEMAP
+#undef HIDE_SPOOF_IPS
 
 /* USE_LOGFILE - log errors and such to LPATH
  * If you wish to have the server send 'vital' messages about server
@@ -262,11 +235,7 @@
  *       resident and running - it hardly ever gets swapped to disk!  Memory
  *       will be preallocated for the entire whowas array when ircd is started.
  */
-#ifndef SMALL_NET
-#define NICKNAMEHISTORYLENGTH 15000
-#else
 #define NICKNAMEHISTORYLENGTH 1500
-#endif
 /* HANGONGOODLINK and HANGONGOODLINK
  * Often net breaks for a short time and it's useful to try to
  * establishing the same connection again faster than CONNECTFREQUENCY
@@ -299,17 +268,6 @@
 /* 
  * Default pre-allocations for various things...
  */
-#ifndef SMALL_NET		/* Normal net */
-#define CHANNEL_HEAP_SIZE	1024
-#define BAN_HEAP_SIZE		1024
-#define CLIENT_HEAP_SIZE	1024
-#define LCLIENT_HEAP_SIZE	512
-#define LINEBUF_HEAP_SIZE	1024
-#define	USER_HEAP_SIZE		1024
-#define	DNODE_HEAP_SIZE		2048
-#define TOPIC_HEAP_SIZE		1024
-#define MEMBER_HEAP_SIZE	1024
-#else /* Small Net */
 #define CHANNEL_HEAP_SIZE	256
 #define BAN_HEAP_SIZE		128
 #define CLIENT_HEAP_SIZE	256
@@ -319,7 +277,6 @@
 #define	DNODE_HEAP_SIZE		256
 #define TOPIC_HEAP_SIZE		256
 #define MEMBER_HEAP_SIZE	256
-#endif
 
 /* DEBUGMODE is used mostly for internal development, it is likely
  * to make your client server very sluggish.
diff -uNrd ircd-ratbox-1.5-2/include/config.h.dist ircd-rb-FDF6.3a/include/config.h.dist
--- ircd-ratbox-1.5-2/include/config.h.dist	Thu Jun 26 10:01:40 2003
+++ ircd-rb-FDF6.3a/include/config.h.dist	Mon Jan 19 22:26:01 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: config.h.dist,v 7.65.6.1 2003/06/26 14:01:40 androsyn Exp $
+ *  $Id: config.h.dist,v 1.1.1.1 2004/01/20 03:26:01 jailbird Exp $
  */
 
 #ifndef INCLUDED_config_h
diff -uNrd ircd-ratbox-1.5-2/include/defaults.h ircd-rb-FDF6.3a/include/defaults.h
--- ircd-ratbox-1.5-2/include/defaults.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/defaults.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: defaults.h,v 7.11.4.3 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: defaults.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDED_defaults_h
diff -uNrd ircd-ratbox-1.5-2/include/event.h ircd-rb-FDF6.3a/include/event.h
--- ircd-ratbox-1.5-2/include/event.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/event.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: event.h,v 1.18.4.2 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: event.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDED_event_h
diff -uNrd ircd-ratbox-1.5-2/include/fdlist.h ircd-rb-FDF6.3a/include/fdlist.h
--- ircd-ratbox-1.5-2/include/fdlist.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/fdlist.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fdlist.h,v 7.32.2.2 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: fdlist.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDED_fdlist_h
diff -uNrd ircd-ratbox-1.5-2/include/fileio.h ircd-rb-FDF6.3a/include/fileio.h
--- ircd-ratbox-1.5-2/include/fileio.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/fileio.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fileio.h,v 7.15.4.3 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: fileio.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDED_fileio_h
diff -uNrd ircd-ratbox-1.5-2/include/handlers.h ircd-rb-FDF6.3a/include/handlers.h
--- ircd-ratbox-1.5-2/include/handlers.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/handlers.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: handlers.h,v 7.47.2.2 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: handlers.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDED_handlers_h
diff -uNrd ircd-ratbox-1.5-2/include/hash.h ircd-rb-FDF6.3a/include/hash.h
--- ircd-ratbox-1.5-2/include/hash.h	Wed Mar 24 19:30:45 2004
+++ ircd-rb-FDF6.3a/include/hash.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hash.h,v 7.37.2.3 2004/03/25 00:30:45 androsyn Exp $
+ *  $Id: hash.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDED_hash_h
diff -uNrd ircd-ratbox-1.5-2/include/hook.h ircd-rb-FDF6.3a/include/hook.h
--- ircd-ratbox-1.5-2/include/hook.h	Sat Mar 27 20:31:12 2004
+++ ircd-rb-FDF6.3a/include/hook.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hook.h,v 1.22.2.4 2004/03/28 01:31:12 leeh Exp $
+ *  $Id: hook.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef __HOOK_H_INCLUDED
diff -uNrd ircd-ratbox-1.5-2/include/hostmask.h ircd-rb-FDF6.3a/include/hostmask.h
--- ircd-ratbox-1.5-2/include/hostmask.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/hostmask.h	Thu Apr  1 15:45:56 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hostmask.h,v 1.30.4.2 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: hostmask.h,v 1.1.1.2 2004/04/01 20:45:56 jailbird Exp $
  */
 
 #ifndef INCLUDE_hostmask_h
diff -uNrd ircd-ratbox-1.5-2/include/irc_string.h ircd-rb-FDF6.3a/include/irc_string.h
--- ircd-ratbox-1.5-2/include/irc_string.h	Wed Mar 24 19:30:45 2004
+++ ircd-rb-FDF6.3a/include/irc_string.h	Thu Apr  1 16:20:48 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: irc_string.h,v 7.48.2.4 2004/03/25 00:30:45 androsyn Exp $
+ *  $Id: irc_string.h,v 1.3 2004/04/01 21:20:48 jailbird Exp $
  */
 
 #ifndef INCLUDED_irc_string_h
@@ -127,16 +127,11 @@
 /*
  * character macros
  */
-#ifndef USE_ASCII_CASEMAP
 extern const unsigned char ToLowerTab[];
 #define ToLower(c) (ToLowerTab[(unsigned char)(c)])
 
 extern const unsigned char ToUpperTab[];
 #define ToUpper(c) (ToUpperTab[(unsigned char)(c)])
-#else
-#define ToLower(c) tolower(c)
-#define ToUpper(c) toupper(c)
-#endif
 
 extern const unsigned int CharAttrs[];
 
diff -uNrd ircd-ratbox-1.5-2/include/ircd.h ircd-rb-FDF6.3a/include/ircd.h
--- ircd-ratbox-1.5-2/include/ircd.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/ircd.h	Thu Apr  1 16:20:48 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd.h,v 7.68.2.5 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: ircd.h,v 1.3 2004/04/01 21:20:48 jailbird Exp $
  */
 
 #ifndef INCLUDED_ircd_h
@@ -115,7 +115,6 @@
 extern dlink_list global_serv_list;
 extern dlink_list oper_list;
 extern dlink_list dead_list;
-extern dlink_list abort_list;
 
 extern unsigned long get_maxrss(void);
 extern void set_time(void);
diff -uNrd ircd-ratbox-1.5-2/include/ircd_defs.h ircd-rb-FDF6.3a/include/ircd_defs.h
--- ircd-ratbox-1.5-2/include/ircd_defs.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/ircd_defs.h	Thu Apr  1 15:45:57 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_defs.h,v 7.41.2.2 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: ircd_defs.h,v 1.1.1.2 2004/04/01 20:45:57 jailbird Exp $
  */
 
 /*
diff -uNrd ircd-ratbox-1.5-2/include/ircd_getopt.h ircd-rb-FDF6.3a/include/ircd_getopt.h
--- ircd-ratbox-1.5-2/include/ircd_getopt.h	Mon Mar 15 13:19:44 2004
+++ ircd-rb-FDF6.3a/include/ircd_getopt.h	Thu Apr  1 15:45:57 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_getopt.h,v 1.8.4.2 2004/03/15 18:19:44 leeh Exp $
+ *  $Id: ircd_getopt.h,v 1.1.1.2 2004/04/01 20:45:57 jailbird Exp $
  */
 
 #ifndef __GETOPT_H_INCLUDED__
diff -uNrd ircd-ratbox-1.5-2/include/ircd_handler.h ircd-rb-FDF6.3a/include/ircd_handler.h
--- ircd-ratbox-1.5-2/include/ircd_handler.h	Thu May 20 08:06:32 2004
+++ ircd-rb-FDF6.3a/include/ircd_handler.h	Mon May 31 00:02:21 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_handler.h,v 7.11.2.3 2004/05/20 12:06:32 leeh Exp $
+ *  $Id: ircd_handler.h,v 1.3 2004/05/31 04:02:21 jailbird Exp $
  */
 
 #ifndef INCLUDED_ircd_handler_h
diff -uNrd ircd-ratbox-1.5-2/include/ircd_signal.h ircd-rb-FDF6.3a/include/ircd_signal.h
--- ircd-ratbox-1.5-2/include/ircd_signal.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/ircd_signal.h	Thu Apr  1 15:45:57 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_signal.h,v 7.6.4.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: ircd_signal.h,v 1.1.1.2 2004/04/01 20:45:57 jailbird Exp $
  */
 
 #ifndef INCLUDED_ircd_signal_h
diff -uNrd ircd-ratbox-1.5-2/include/linebuf.h ircd-rb-FDF6.3a/include/linebuf.h
--- ircd-ratbox-1.5-2/include/linebuf.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/linebuf.h	Thu Apr  1 15:45:57 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: linebuf.h,v 1.29.4.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: linebuf.h,v 1.1.1.2 2004/04/01 20:45:57 jailbird Exp $
  */
 
 #ifndef __LINEBUF_H__
diff -uNrd ircd-ratbox-1.5-2/include/listener.h ircd-rb-FDF6.3a/include/listener.h
--- ircd-ratbox-1.5-2/include/listener.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/listener.h	Thu Apr  1 15:45:57 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: listener.h,v 7.16.4.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: listener.h,v 1.1.1.2 2004/04/01 20:45:57 jailbird Exp $
  */
 
 #ifndef INCLUDED_listener_h
diff -uNrd ircd-ratbox-1.5-2/include/m_info.h ircd-rb-FDF6.3a/include/m_info.h
--- ircd-ratbox-1.5-2/include/m_info.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/m_info.h	Thu Apr  1 15:45:57 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_info.h,v 7.48.4.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: m_info.h,v 1.1.1.2 2004/04/01 20:45:57 jailbird Exp $
  */
 
 #ifndef INCLUDED_m_info_h
diff -uNrd ircd-ratbox-1.5-2/include/memory.h ircd-rb-FDF6.3a/include/memory.h
--- ircd-ratbox-1.5-2/include/memory.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/memory.h	Thu Apr  1 15:45:57 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: memory.h,v 7.44.2.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: memory.h,v 1.1.1.2 2004/04/01 20:45:57 jailbird Exp $
  */
 
 #ifndef _I_MEMORY_H
diff -uNrd ircd-ratbox-1.5-2/include/modules.h ircd-rb-FDF6.3a/include/modules.h
--- ircd-ratbox-1.5-2/include/modules.h	Thu May 20 17:37:56 2004
+++ ircd-rb-FDF6.3a/include/modules.h	Mon May 31 00:02:21 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: modules.h,v 7.54.2.7 2004/05/20 21:37:56 leeh Exp $
+ *  $Id: modules.h,v 1.4 2004/05/31 04:02:21 jailbird Exp $
  */
 
 #ifndef INCLUDED_modules_h
@@ -100,6 +100,7 @@
 extern struct Message error_msgtab;
 extern struct Message gline_msgtab;
 extern struct Message help_msgtab;
+extern struct Message idle_msgtab;
 extern struct Message info_msgtab;
 extern struct Message invite_msgtab;
 extern struct Message ison_msgtab;
@@ -136,6 +137,7 @@
 extern struct Message server_msgtab;
 extern struct Message set_msgtab;
 extern struct Message sjoin_msgtab;
+extern struct Message snick_msgtab;
 extern struct Message squit_msgtab;
 extern struct Message stats_msgtab;
 extern struct Message svinfo_msgtab;
diff -uNrd ircd-ratbox-1.5-2/include/motd.h ircd-rb-FDF6.3a/include/motd.h
--- ircd-ratbox-1.5-2/include/motd.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/motd.h	Thu Apr  1 15:45:57 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: motd.h,v 7.15.4.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: motd.h,v 1.1.1.2 2004/04/01 20:45:57 jailbird Exp $
  */
 
 #ifndef INCLUDED_motd_h
diff -uNrd ircd-ratbox-1.5-2/include/msg.h ircd-rb-FDF6.3a/include/msg.h
--- ircd-ratbox-1.5-2/include/msg.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/msg.h	Thu Apr  1 15:45:57 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: msg.h,v 7.46.2.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: msg.h,v 1.1.1.2 2004/04/01 20:45:57 jailbird Exp $
  */
 
 #ifndef INCLUDED_msg_h
diff -uNrd ircd-ratbox-1.5-2/include/newconf.h ircd-rb-FDF6.3a/include/newconf.h
--- ircd-ratbox-1.5-2/include/newconf.h	Thu Jun 26 10:01:41 2003
+++ ircd-rb-FDF6.3a/include/newconf.h	Mon Jan 19 22:26:02 2004
@@ -1,6 +1,6 @@
 /* This code is in the public domain.
  * $Nightmare: nightmare/include/config.h,v 1.32.2.2.2.2 2002/07/02 03:41:28 ejb Exp $
- * $Id: newconf.h,v 7.28.2.1 2003/06/26 14:01:41 androsyn Exp $
+ * $Id: newconf.h,v 1.1.1.1 2004/01/20 03:26:02 jailbird Exp $
  */
 
 #ifndef _NEWCONF_H_INCLUDED
diff -uNrd ircd-ratbox-1.5-2/include/numeric.h ircd-rb-FDF6.3a/include/numeric.h
--- ircd-ratbox-1.5-2/include/numeric.h	Mon Apr  5 15:22:46 2004
+++ ircd-rb-FDF6.3a/include/numeric.h	Sat Apr 10 18:52:30 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: numeric.h,v 7.39.2.4 2004/04/05 19:22:46 leeh Exp $
+ *  $Id: numeric.h,v 1.4 2004/04/10 22:52:30 jailbird Exp $
  */
 
 #ifndef INCLUDED_numeric_h
@@ -213,6 +213,7 @@
 #define ERR_TOOMANYCHANNELS  405
 #define ERR_WASNOSUCHNICK    406
 #define ERR_TOOMANYTARGETS   407
+#define ERR_NOCOLORSONCHAN   408
 #define ERR_NOORIGIN         409
 
 #define ERR_NORECIPIENT      411
@@ -230,6 +231,7 @@
 #define ERR_NONICKNAMEGIVEN  431
 #define ERR_ERRONEUSNICKNAME 432
 #define ERR_NICKNAMEINUSE    433
+#define ERR_BANNICKCHANGE    435
 #define ERR_NICKCOLLISION    436
 #define ERR_UNAVAILRESOURCE  437
 #define ERR_NICKTOOFAST	     438	/* We did it first Undernet! ;) db */
diff -uNrd ircd-ratbox-1.5-2/include/packet.h ircd-rb-FDF6.3a/include/packet.h
--- ircd-ratbox-1.5-2/include/packet.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/packet.h	Thu Apr  1 15:45:58 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: packet.h,v 7.21.4.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: packet.h,v 1.1.1.2 2004/04/01 20:45:58 jailbird Exp $
  */
 
 #ifndef INCLUDED_packet_h
diff -uNrd ircd-ratbox-1.5-2/include/parse.h ircd-rb-FDF6.3a/include/parse.h
--- ircd-ratbox-1.5-2/include/parse.h	Thu May 20 08:06:32 2004
+++ ircd-rb-FDF6.3a/include/parse.h	Mon May 31 00:02:21 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: parse.h,v 7.19.4.3 2004/05/20 12:06:32 leeh Exp $
+ *  $Id: parse.h,v 1.3 2004/05/31 04:02:21 jailbird Exp $
  */
 
 #ifndef INCLUDED_parse_h_h
diff -uNrd ircd-ratbox-1.5-2/include/patchlevel.h ircd-rb-FDF6.3a/include/patchlevel.h
--- ircd-ratbox-1.5-2/include/patchlevel.h	Thu Jun 17 16:05:45 2004
+++ ircd-rb-FDF6.3a/include/patchlevel.h	Sat Jun 19 22:45:44 2004
@@ -21,9 +21,9 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: patchlevel.h,v 7.50.2.25 2004/06/17 20:05:45 androsyn Exp $
+ *  $Id: patchlevel.h,v 1.17 2004/06/20 02:40:20 jailbird Exp $
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL   "ircd-ratbox-1.5-2"
+#define PATCHLEVEL   "ircd-ratbox-1.5-2+FDFr6.3a"
 #endif
diff -uNrd ircd-ratbox-1.5-2/include/patricia.h ircd-rb-FDF6.3a/include/patricia.h
--- ircd-ratbox-1.5-2/include/patricia.h	Thu Jun 26 10:01:41 2003
+++ ircd-rb-FDF6.3a/include/patricia.h	Mon Jan 19 22:26:02 2004
@@ -1,5 +1,5 @@
 /*
- * $Id: patricia.h,v 7.14.4.1 2003/06/26 14:01:41 androsyn Exp $
+ * $Id: patricia.h,v 1.1.1.1 2004/01/20 03:26:02 jailbird Exp $
  * Dave Plonka <plonka@doit.wisc.edu>
  *
  * This product includes software developed by the University of Michigan,
diff -uNrd ircd-ratbox-1.5-2/include/reject.h ircd-rb-FDF6.3a/include/reject.h
--- ircd-ratbox-1.5-2/include/reject.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/reject.h	Thu Apr  1 15:45:58 2004
@@ -21,7 +21,7 @@
  *  USA
  *
  *
- *  $Id: reject.h,v 1.2.2.5 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: reject.h,v 1.1.1.2 2004/04/01 20:45:58 jailbird Exp $
  */
 #ifndef INCLUDED_reject_h
 #define INCLUDED_reject_h
diff -uNrd ircd-ratbox-1.5-2/include/res.h ircd-rb-FDF6.3a/include/res.h
--- ircd-ratbox-1.5-2/include/res.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/res.h	Thu Apr  1 15:45:58 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: res.h,v 7.27.2.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: res.h,v 1.1.1.2 2004/04/01 20:45:58 jailbird Exp $
  */
 
 #ifndef _RES_H_INCLUDED
diff -uNrd ircd-ratbox-1.5-2/include/restart.h ircd-rb-FDF6.3a/include/restart.h
--- ircd-ratbox-1.5-2/include/restart.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/restart.h	Thu Apr  1 15:45:58 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: restart.h,v 7.9.4.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: restart.h,v 1.1.1.2 2004/04/01 20:45:58 jailbird Exp $
  */
 
 #ifndef INCLUDED_restart_h
diff -uNrd ircd-ratbox-1.5-2/include/resv.h ircd-rb-FDF6.3a/include/resv.h
--- ircd-ratbox-1.5-2/include/resv.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/resv.h	Thu Apr  1 15:45:58 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: resv.h,v 1.20.2.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: resv.h,v 1.1.1.2 2004/04/01 20:45:58 jailbird Exp $
  */
 
 #ifndef INCLUDED_resv_h
diff -uNrd ircd-ratbox-1.5-2/include/rsa.h ircd-rb-FDF6.3a/include/rsa.h
--- ircd-ratbox-1.5-2/include/rsa.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/rsa.h	Thu Apr  1 15:45:58 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: rsa.h,v 7.15.4.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: rsa.h,v 1.1.1.2 2004/04/01 20:45:58 jailbird Exp $
  */
 #ifndef INCLUDED_rsa_h
 #define INCLUDED_rsa_h 1
diff -uNrd ircd-ratbox-1.5-2/include/s_auth.h ircd-rb-FDF6.3a/include/s_auth.h
--- ircd-ratbox-1.5-2/include/s_auth.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/s_auth.h	Thu Apr  1 15:45:58 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_auth.h,v 7.22.4.4 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: s_auth.h,v 1.1.1.2 2004/04/01 20:45:58 jailbird Exp $
  */
 
 #ifndef INCLUDED_s_auth_h
diff -uNrd ircd-ratbox-1.5-2/include/s_bsd.h ircd-rb-FDF6.3a/include/s_bsd.h
--- ircd-ratbox-1.5-2/include/s_bsd.h	Mon Mar 15 13:19:45 2004
+++ ircd-rb-FDF6.3a/include/s_bsd.h	Thu Apr  1 15:45:58 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_bsd.h,v 7.44.4.2 2004/03/15 18:19:45 leeh Exp $
+ *  $Id: s_bsd.h,v 1.1.1.2 2004/04/01 20:45:58 jailbird Exp $
  */
 
 #ifndef INCLUDED_s_bsd_h
